libcrypt-simple-perl_0.06-6_all.deb


Advertisement

Description

libcrypt-simple-perl - Perl library to encrypt stuff simply

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libcrypt-simple-perl
Package version 0.06
Package release 6
Package architecture all
Package type deb
Installed size 60 B
Download size 9.23 KB
Official Mirror ftp.br.debian.org
Maybe you have a web application and you need to store some session
data at the client side (in a cookie or hidden form fields) but you
don't want the user to be able to mess with the data. Maybe you want
to save secret information to a text file.  Maybe you have better
ideas of what to do with encrypted stuff!
The Crypt::Simple module will convert all your data into nice base64 text
that you can save in a text file, send in an email, store in a cookie
or web page, or bounce around the Net. The data you encrypt can be as
simple or as complicated as you like.

Alternatives

Package Version Architecture Repository
libcrypt-simple-perl_0.06-6_all.deb 0.06 all Debian Main
libcrypt-simple-perl - - -

Requires

Name Value
libcompress-zlib-perl -
libcrypt-blowfish-perl -
libemail-mime-encodings-perl -
libfreezethaw-perl -
perl >= 5.6.0-16

Download

Type URL
Binary Package libcrypt-simple-perl_0.06-6_all.deb
Source Package libcrypt-simple-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libcrypt-simple-perl deb package:
    # sudo apt-get install libcrypt-simple-perl

Files

Path
/usr/share/doc/libcrypt-simple-perl/changelog.Debian.gz
/usr/share/doc/libcrypt-simple-perl/copyright
/usr/share/man/man3/Crypt::Simple.3pm.gz
/usr/share/perl5/Crypt/Simple.pm

Changelog

2009-07-28 - Ansgar Burchardt <ansgar@43-1.org>
libcrypt-simple-perl (0.06-6) unstable; urgency=low
[ Nathan Handler ]
* debian/watch: Update to ignore development releases.
[ Ansgar Burchardt ]
* Refresh rules for debhelper 7.
* Drop (Build-)Depends on libmd5-perl. This module already uses Digest::MD5.
* Convert debian/copyright to proposed machine-readable format.
* debian/control: small change to description.
* Bump Standards-Version to 3.8.2 (no changes).
* Add myself to Uploaders.
2009-02-16 - Sandro Tosi <morph@debian.org>
libcrypt-simple-perl (0.06-5) unstable; urgency=low
[ gregor herrmann ]
* debian/control: Changed: Switched Vcs-Browser field to ViewSVN
(source stanza).
* debian/control: Added: ${misc:Depends} to Depends: field.
[ Sandro Tosi ]
* debian/control
- updated my email address
- removed additional spaces from description (used to justify the text)
- bump Standards-Version to 3.8.0 (no changes needed)
* debian/copyright
- updated my email address
- fixed copyright notice for packaging, extending copyright years
2008-03-08 - Sandro Tosi <matrixhasu@gmail.com>
libcrypt-simple-perl (0.06-4) unstable; urgency=low
[ Sandro Tosi ]
* debian/rules
- fix for FTBFS with Perl 5.10.0 (Closes: #467724)
* debian/control
- set Debian Perl Group as maintainer
- set me in Uploaders
- added Vcs-{Svn,Browser} fields
- update Homepage field to team standards
* debian/watch
- version set to 3
- updated url to scan to team standards
* debian/copyright
- added package copyright
[ Damyan Ivanov ]
* debian/rules: clean up
+ make install target depend only on install-stamp and make install-stamp
depend on build-stamp
+ use "$@" when touching stamps
+ remove stamos before realclean
+ add install to .PHONY
+ move test suite from install to build target
+ remove unused OPTIMIZE setting
+ do not ship README as it is the same as the POD
2007-12-21 - Sandro Tosi <matrixhasu@gmail.com>
libcrypt-simple-perl (0.06-3) unstable; urgency=low
* debian/control
- bump Standards-Version to 3.7.3
- moved Homepage from binary to source stanza
- bump dependency for debhelper to >=5 version
* debian/compat
- bump to 5
* debian/copyright
- clearly separated upstream author, copyright and license
* debian/rules
- cleanup, remove unused dh scripts
2006-07-08 - Sandro Tosi <matrixhasu@gmail.com>
libcrypt-simple-perl (0.06-2) unstable; urgency=low
* debian/control
- moved debhelper to Build-Depends (as per
http://lists.debian.org/debian-devel-announce/2006/06/msg00010.html)
- update Standards-Version to 3.7.2: no changes
2006-01-15 - Sandro Tosi <matrixhasu@gmail.com>
libcrypt-simple-perl (0.06-1) unstable; urgency=low
* Initial release Closes: #345069

See Also

Package Description
libcrypt-smbhash-perl_0.12-4_all.deb generate LM/NT hash of a password for samba
libcrypt-smime-perl_0.15-1+b1_amd64.deb S/MIME message signing, verification, encryption and decryption module
libcrypt-ssleay-perl_0.58-1+b2_amd64.deb OpenSSL support for LWP
libcrypt-twofish-perl_2.17-1+b1_amd64.deb Perl module for Twofish Encryption Algorithm
libcrypt-unixcrypt-perl_1.0-6_all.deb Perl-only implementation of the crypt(3) function
libcrypt-unixcrypt-xs-perl_0.10-1+b1_amd64.deb Perl XS interface that implements crypt() function
libcrypt-urandom-perl_0.34-1_all.deb module that provides non blocking randomness
libcrypt-util-perl_0.11-3_all.deb lightweight Crypt/Digest convenience API
libcrypt-x509-perl_0.51-1_all.deb Parse X.509 certificates with Perl
libcryptgps-ocaml-dev_0.2.1-9_amd64.deb OCaml implementation of symmetric cryptographic algorithms: Blowfish, DES, 3DES
libcrypto++-dev_5.6.1-6+deb8u3_amd64.deb General purpose cryptographic library - C++ development
libcrypto++-doc_5.6.1-6+deb8u3_all.deb General purpose cryptographic library - documentation
libcrypto++-utils_5.6.1-6+deb8u3_amd64.deb General purpose cryptographic library - utilities and data files
libcrypto++9_5.6.1-6+deb8u3_amd64.deb General purpose cryptographic library - shared library
libcryptokit-ocaml-dev_1.9-2_amd64.deb cryptographic algorithm library for OCaml - development
Advertisement
Advertisement